singleton Material(coupe_taillight_R_d)
{
    mapTo = "coupe_taillight_R_d";
};

singleton Material(coupe_taillight_L_d)
{
    mapTo = "coupe_taillight_L_d";
};

singleton Material(coupe_lights_d)
{
    mapTo = "coupe_lights_d";
    diffuseMap[1] = "vehicles/coupe/iyb_coupe/coupe_lights_d_dark.dds";
    specularMap[1] = "vehicles/coupe/iyb_coupe/coupe_lights_s_dark.dds";
    normalMap[1] = "vehicles/coupe/iyb_coupe/coupe_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/iyb_coupe/coupe_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(coupe_lights_on_d)
{
    mapTo = "coupe_lights_on_d";
    diffuseMap[2] = "vehicles/coupe/iyb_coupe/coupe_lights_d_dark.dds";
    specularMap[2] = "vehicles/coupe/iyb_coupe/coupe_lights_s.dds";
    normalMap[2] = "vehicles/coupe/iyb_coupe/coupe_lights_n.dds";
    diffuseMap[1] = "vehicles/coupe/iyb_coupe/coupe_lights_d.dds";
    specularMap[1] = "vehicles/coupe/iyb_coupe/coupe_lights_s.dds";
    normalMap[1] = "vehicles/coupe/iyb_coupe/coupe_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/iyb_coupe/coupe/coupe_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_lights_on_intense_d)
{
    mapTo = "coupe_lights_on_intense_d";
    diffuseMap[2] = "vehicles/coupe/iyb_coupe/ccoupe_lights_g_dark.dds";
    specularMap[2] = "vehicles/coupe/iyb_coupe/coupe_lights_s.dds";
    normalMap[2] = "vehicles/coupe/iyb_coupe/coupe_lights_n.dds";
    diffuseMap[1] = "vehicles/coupe/iyb_coupe/coupe_lights_d_dark.dds";
    specularMap[1] = "vehicles/coupe/iyb_coupe/coupe_lights_s.dds";
    normalMap[1] = "vehicles/coupe/iyb_coupe/coupe_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/iyb_coupe/coupe_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.25";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_lights_dmg_d)
{
    mapTo = "coupe_lights_dmg_d";
    diffuseMap[1] = "vehicles/coupe/iyb_coupe/coupe_lights_dmg_d.dds";
    specularMap[1] = "vehicles/coupe/iyb_coupe/coupe_lights_dmg_s.dds";
    normalMap[1] = "vehicles/coupe/iyb_coupe/coupe_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/iyb_coupe/coupe_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};